EndpointsPlatform Service Categories

Platform Service Categories

Function-calling namespace: platformServiceCategories

  • Base URL: https://api.aivida.in
  • Engine endpoint: POST /api
  • Auth: Stack token middleware enabled in optional mode.
  • Send token in header: x-stack-access-token: <access_token> (or Authorization: Bearer <access_token>).
  • In optional mode: no token is allowed; invalid token is rejected with 401.

create

Source: backend/endpoints/platform-service-categories/create

Input Fields

FieldTypeRequiredConstraints
namestringYes-
codestringNo-
typestringYes-
descriptionstringNo-
imageUrlstringNo-
videoUrlstringNo-
isActivebooleanNonullable
sortOrderintegerNo-
parentIdsarray<string>No-
organizationTypeIdsarray<string>No-
createdAtintegerNounix-ms timestamp; nullable
updatedAtintegerNounix-ms timestamp; nullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "create",
  "data": {
    "name": "value",
    "type": "general"
  }
}'

Example Response

{ "status": "ok", "data": {} }

delete

Source: backend/endpoints/platform-service-categories/delete

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "delete",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

getById

Source: backend/endpoints/platform-service-categories/get-by-id

Input Fields

FieldTypeRequiredConstraints
idstringNo-
organizationIdstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "getById",
  "data": {
    "organizationId": "org_123",
    "id": "id_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

list

Source: backend/endpoints/platform-service-categories/list

Input Fields

FieldTypeRequiredConstraints
typestringNo-
hasServicesWithPlatformCategoryIdstringNo-
organizationTypeIdarray<string>No-
organizationTypeNamearray<string>No-
searchstringNo-
sortBystringNo-
sortOrderstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "list",
  "data": {
    "type": "general",
    "hasServicesWithPlatformCategoryId": "hasserviceswithplatformcategory_123",
    "organizationTypeId": "organizationtype_123",
    "organizationTypeName": [
      "value"
    ],
    "search": "value",
    "sortBy": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listActive

Source: backend/endpoints/platform-service-categories/list-active

Input Fields

FieldTypeRequiredConstraints
organizationTypeIdsarray<string>No-
typestringNo-
searchstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "listActive",
  "data": {
    "organizationTypeIds": [
      "value"
    ],
    "type": "general",
    "search": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByOrganization

Source: backend/endpoints/platform-service-categories/list-by-organization

Input Fields

FieldTypeRequiredConstraints
organizationIdstringYes-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "listByOrganization",
  "data": {
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }

listByParent

Source: backend/endpoints/platform-service-categories/list-by-parent

Input Fields

FieldTypeRequiredConstraints
parentIdstringNo-
searchstringNo-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "listByParent",
  "data": {
    "parentId": "parent_123",
    "search": "value",
    "page": 1,
    "pageSize": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

listForLabServices

Source: backend/endpoints/platform-service-categories/list-for-lab-services

Input Fields

FieldTypeRequiredConstraints
searchstringNo-
typestringNo-
genderarray<string>No-
pageintegerNo-
pageSizeintegerNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "listForLabServices",
  "data": {
    "search": "value",
    "type": "general",
    "gender": [
      "value"
    ],
    "page": 1,
    "pageSize": 1
  }
}'

Example Response

{ "status": "ok", "data": {} }

listMedicineCategoryServices

Source: backend/endpoints/platform-service-categories/list-medicine-category-services

Input Fields

FieldTypeRequiredConstraints
organizationTypeIdsarray<string>No-
typestringNo-
searchstringNo-

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "listMedicineCategoryServices",
  "data": {
    "organizationTypeIds": [
      "value"
    ],
    "type": "general",
    "search": "value"
  }
}'

Example Response

{ "status": "ok", "data": {} }

update

Source: backend/endpoints/platform-service-categories/update

Input Fields

FieldTypeRequiredConstraints
idstringYes-
organizationIdstringYes-
namestringNonullable
codestringNonullable
typestringNonullable
descriptionstringNonullable
imageUrlstringNonullable
videoUrlstringNonullable
isActivebooleanNonullable
sortOrderintegerNonullable
parentIdsarray<string>No-
organizationTypeIdsarray<string>No-
createdAtintegerNounix-ms timestamp; nullable
updatedAtintegerNounix-ms timestamp; nullable

Example Request

curl -X POST https://api.aivida.in/api \
  -H "Content-Type: application/json" \
  -H "x-stack-access-token: <access_token_optional>" \
  -d '{
  "namespace": "platformServiceCategories",
  "apiName": "update",
  "data": {
    "id": "id_123",
    "organizationId": "org_123"
  }
}'

Example Response

{ "status": "ok", "data": {} }